<?php
/**************************************************
  CPG Pic Poster Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.8
  Pic Poster version: 1.0
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter
$thisplugin->add_filter('file_data','pic_poster_add_data');


function pic_poster_add_data($pic_data){ 
	global $CONFIG, $THEME_DIR;
	
	//is a title set
	($pic_data['title']) ? $title = $pic_data['title'] : $title = "No name";
	
	//Nibbler's onlinestats enabled?
	preg_match("/onlinestats/",$CONFIG['main_page_layout']) ? $onlinestats=1 : $onlinestats=0;
	if($onlinestats) {
		$result_online = cpg_db_query("SELECT user_id FROM {$CONFIG['TABLE_PREFIX']}mod_online WHERE user_id ='".$pic_data['owner_id']."'");
		$user_data = mysql_num_rows($result_online);
		mysql_free_result($result_online);
		
		//online or offline
		($user_data != "") ? $online = "<img src=\"{$THEME_DIR}images/useron.gif\" alt=\"\" border=\"0\" />" : $online = "<img src=\"{$THEME_DIR}images/useroff.gif\" alt=\"\" border=\"0\" />";
	} else {
		//onlinestats not enabled 
		$online = '';
	}
	
	//PM feature enabled then add a send PM link
	($CONFIG['pms_enabled']) ? $pm_link = "<a href=\"pms_send.php?id=".$pic_data['owner_id']."\"><img src=\"{$THEME_DIR}images/pm.gif\" alt=\"\" border=\"0\" /></a>" : $pm_link = '';
	
	//add everything to the pic_data html
	$pic_data['html'] = $title." from <a href=\"profile.php?uid=".$pic_data['owner_id']."\"><strong>".$pic_data['owner_name']."</strong></a>$online $pm_link <br>".$pic_data['html']; 
	return $pic_data; 
}
?>
